"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_os_1 = require("node:os");
const node_path_1 = require("node:path");
const fs_extra_1 = require("fs-extra");
const downloadGitRepo_1 = require("../utils/downloadGitRepo");
const getTemplateVersion_1 = require("../utils/getTemplateVersion");
function cloneTemplate({ template, versionHash = '' }, options) {
    return __awaiter(this, void 0, void 0, function* () {
        const destDir = (0, node_path_1.join)((0, node_os_1.homedir)(), options.uniquieId || '.wiz', template.type);
        if (versionHash) {
            const localVersion = yield (0, getTemplateVersion_1.getTemplateVersion)(destDir);
            if (versionHash === localVersion) {
                return destDir;
            }
        }
        return clone(destDir, template);
    });
}
exports.default = cloneTemplate;
function clone(destDir, template) {
    return __awaiter(this, void 0, void 0, function* () {
        const isTemplateExists = yield (0, fs_extra_1.pathExists)(destDir);
        if (isTemplateExists) {
            yield (0, fs_extra_1.remove)(destDir);
        }
        yield (0, downloadGitRepo_1.default)(template, destDir);
        return destDir;
    });
}
//# sourceMappingURL=cloneTemplate.js.map