"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const operators_1 = require("rxjs/operators");
const Structure_1 = require("../../../modules/Structure");
const slideGenerator_1 = require("../../slideGenerator");
function addSlidesAction(type) {
    return (slides, options) => {
        const { baseDirectory, chapter } = options;
        const slideGeneration$ = (0, slideGenerator_1.createSlides$)(type, baseDirectory, slides)
            .pipe((0, operators_1.shareReplay)());
        const structureGeneration$ = (0, slideGenerator_1.getSuccesSlides$)(slideGeneration$)
            .pipe((0, operators_1.map)((successSlides) => updateStructure(baseDirectory, chapter, successSlides)));
        return { slideGeneration$, structureGeneration$ };
    };
}
exports.default = addSlidesAction;
function updateStructure(dir, chapter, slides) {
    return __awaiter(this, void 0, void 0, function* () {
        const structure = new Structure_1.default(dir);
        yield structure.addSlidesToStructure(slides, chapter);
        return structure.save();
    });
}
//# sourceMappingURL=action.js.map