"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_path_1 = require("node:path");
const fs_extra_1 = require("fs-extra");
const ramda_1 = require("ramda");
const Structure_1 = require("../../../modules/Structure");
function deleteSlidesAction(slides = [], options) {
    return __awaiter(this, void 0, void 0, function* () {
        const { baseDirectory } = options;
        const structure = new Structure_1.default(baseDirectory);
        yield deleteSlides(baseDirectory, structure, slides);
        yield structure.deleteSlides(slides);
        yield structure.save();
        return slides;
    });
}
exports.default = deleteSlidesAction;
function deleteSlides(dir, structure, slides) {
    return __awaiter(this, void 0, void 0, function* () {
        yield Promise.all(slides.map(deleteSlide(dir, structure)));
    });
}
function deleteSlide(dir, structure) {
    return (slideId) => __awaiter(this, void 0, void 0, function* () {
        const slide = yield structure.getSlide(slideId);
        const template = (0, ramda_1.propOr)(`slides/${slideId}/index.vue`, 'template', slide);
        const slidePath = (0, node_path_1.resolve)(dir, (0, node_path_1.dirname)(template));
        return (0, fs_extra_1.remove)(slidePath);
    });
}
//# sourceMappingURL=action.js.map