"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.screenAction = void 0;
const WizError_1 = require("./../../modules/WizError");
const optionBlock_1 = require("./optionBlock");
const optionPreviewMakeScreen_1 = require("./optionPreviewMakeScreen");
function screenAction(opts, presentationPath, commandArgument) {
    return __awaiter(this, void 0, void 0, function* () {
        switch (commandArgument) {
            case 'block':
                yield (0, optionBlock_1.screenBlocks)(opts, presentationPath);
                break;
            case 'preview':
                yield (0, optionPreviewMakeScreen_1.makePreview)(opts, presentationPath);
                break;
            default:
                throw new WizError_1.WizError('UNRESOLVED_ARGUMENTS');
        }
    });
}
exports.screenAction = screenAction;
//# sourceMappingURL=action.js.map