"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createVCSAction = void 0;
const WizError_1 = require("../../modules/WizError");
const versionControlSystem_1 = require("./versionControlSystem");
function createVCSAction(cwd, options, commandOptions) {
    return __awaiter(this, void 0, void 0, function* () {
        const VCS = new versionControlSystem_1.default();
        switch (options.actionType) {
            case 'clone':
                return VCS.clone(cwd, commandOptions);
            case 'pull':
                return VCS.pull(cwd, commandOptions);
            case 'push':
                return VCS.push(cwd, commandOptions);
            default:
                throw new WizError_1.WizError('UNRESOLVED_ARGUMENTS');
        }
    });
}
exports.createVCSAction = createVCSAction;
//# sourceMappingURL=action.js.map