"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.archiveContent = void 0;
const system_settings_1 = require("@ewizardjs/system-settings");
const Archiver_1 = require("../../modules/Archiver");
const generateCotnentfulIds_1 = require("../../utils/generateCotnentfulIds");
const devBuild_1 = require("./devBuild");
const getDevCompilationResult_1 = require("./getDevCompilationResult");
function archiveContent(presentationPath, options) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        const { name, target, theme, scheme } = options;
        const contentfulIdAttribute = 'data-asset-id';
        const systemSettings = yield (0, system_settings_1.get)(presentationPath);
        if ((_a = systemSettings.cli) === null || _a === void 0 ? void 0 : _a.identifyComponents) {
            yield (0, generateCotnentfulIds_1.generateContentfulIds)(presentationPath, contentfulIdAttribute).catch(() => { });
        }
        const compilationResult = yield (0, devBuild_1.devBuild)(presentationPath);
        yield (yield (0, Archiver_1.default)(presentationPath, (0, getDevCompilationResult_1.default)(compilationResult), {
            name,
            target,
            theme,
            scheme,
            rootPath: presentationPath,
        })).zip();
    });
}
exports.archiveContent = archiveContent;
//# sourceMappingURL=archiveContent.js.map