"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.devBuild = void 0;
const node_path_1 = require("node:path");
const dev_builder_1 = require("@ewizardjs/dev-builder");
const dev_1 = require("../../Api/dev");
function devBuild(presentationPath) {
    return __awaiter(this, void 0, void 0, function* () {
        const normalizedPath = (0, node_path_1.normalize)(presentationPath);
        const devAction = yield (0, dev_1.createAction)(normalizedPath);
        return devAction(normalizedPath, {
            target: dev_builder_1.Target.Ewizard,
            template: true,
        });
    });
}
exports.devBuild = devBuild;
//# sourceMappingURL=devBuild.js.map