"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander = require("commander");
const Logger_1 = require("../modules/Logger");
const logger_1 = require("./utils/logger");
const update_1 = require("./utils/update");
commander
    .name('wiz update')
    .option('--major', 'Update major versions of components used in the project')
    .option('--no-major', 'Update minor and patch versions of components used in the project')
    .option('--skip <components...>', 'Ignore the specified component in the update')
    .option('--structure', 'Update structure.json in e-Detailers to v2. The new structure works in eWizard.js 5.22.0 or later')
    .option('--references', 'Update the references.json file. Moves the file to the ./common/resources directory')
    .parse();
(0, update_1.update)(process.cwd(), [...commander.args], commander.opts())
    .then((message) => message ? Logger_1.default.info(message) : null)
    .then(() => Logger_1.default.info('Done'))
    .catch(logger_1.handleError)
    .finally(logger_1.closeLogger);
//# sourceMappingURL=wiz-update.js.map