"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_child_process_1 = require("node:child_process");
function getGitUser() {
    let name;
    let email;
    try {
        name = (0, node_child_process_1.execSync)('git config --get user.name');
        email = (0, node_child_process_1.execSync)('git config --get user.email');
    }
    catch (e) {
    }
    name = name && JSON.stringify(name.toString().trim()).slice(1, -1);
    email = email && (' <' + email.toString().trim() + '>');
    return (name || '') + (email || '');
}
exports.default = getGitUser;
//# sourceMappingURL=git-user.js.map