import { ScreenOptions } from '@ewizardjs/blocks-renderer';
import type StaticServer from './../../modules/StaticServer';
import type { FacadePuppeteer } from '@ewizardjs/blocks-renderer';
export { ScreenOptions };
export interface CommonPuppeteerOpts {
    presentationPath: string;
    opts: ScreenOptions;
}
interface Block {
    iconsPath?: string;
    id: string;
}
export interface GetIconPath {
    blocksPath: string;
    block: Block;
}
export interface ScreenBlock {
    blockName: string;
    blocksListDictionary: {
        [key: string]: Block;
    };
    iconThemePartName: string;
    iconClmPartName: string;
    puppeteer: FacadePuppeteer;
    blocksPath: string;
    presentationPath?: string;
}
export interface GetDataForBlocks {
    currentTheme: string;
    currentClm: string;
    puppeteer: FacadePuppeteer;
}
export interface AddedScriptsToPage {
    scripts: string[];
}
export interface InitMakeScreenForBlocks extends CommonPuppeteerOpts, GetDataForBlocks {
    blocksPath: string;
    puppeteer: FacadePuppeteer;
}
export interface ValidateBlockCommands extends InitMakeScreenForBlocks {
    themesList: {
        id: string;
    }[];
    server: StaticServer;
    puppeteer: FacadePuppeteer;
}
export interface GetIconLocation extends GetIconPath {
    iconThemePartName: string;
    iconClmPartName: string;
}
export interface SendWarningAndCancelCommand {
    condition: boolean;
    message: string;
    server: StaticServer;
    puppeteer: FacadePuppeteer;
}
