import { ResolveConflicts } from '../../../interfaces/MergeTool.interface';
import type { ActionForDeleted, FileInfo, MergeStatus } from '../../../interfaces/MergeTool.interface';
import type { MergeConflict } from 'simple-git';
export declare const AutoResolve: readonly [ResolveConflicts.ApplyLocal, ResolveConflicts.ApplyRemote];
export declare const UPSTREAM_BRANCH = "upstream";
export declare const LOCAL_BRANCH = "local";
export declare const RESOLVE_OPTIONS: {
    readonly local: {
        readonly from: "=======";
        readonly to: string;
        readonly remove: "<<<<<<< HEAD";
    };
    readonly upstream: {
        readonly from: "<<<<<<< HEAD";
        readonly to: "=======";
        readonly remove: string;
    };
};
export declare const MESSAGES_BY_STATUS: {
    created: string;
    deleted: string;
    modified: string;
    conflicted: string;
};
export declare const COLORS_BY_STATUS: {
    created: string;
    deleted: string;
    modified: string;
    conflicted: string;
};
export declare const HANDLE_DELETED: Record<ResolveConflicts, (conflict: MergeConflict) => ActionForDeleted>;
export declare function applyActionsForDeletedFiles(actions: ActionForDeleted[], conflicts: MergeStatus): MergeStatus;
export declare function scale(from: number, to: number): (progress: number) => number;
export declare function getName(file: FileInfo): string;
export declare function getFilesList(files: FileInfo[]): string[];
export declare function concatFiles(files: Record<string, FileInfo[]>): FileInfo[];
export declare function resolveConflicts(file: string, resolve: typeof AutoResolve[number]): string;
