export declare enum ActionType {
    Install = "install",
    Publish = "publish",
    Unpublish = "unpublish"
}
export declare enum RepositoryType {
    Global = "global",
    Private = "private"
}
export interface NpmRegistryParams {
    [key: string]: string;
    action: ActionType;
    repositoryType: RepositoryType;
}
export interface CodeArtifactUnpublishParams {
    packageArg: string;
    repositoryType: RepositoryType;
    packageSpec: PackageSpec;
}
interface PackageSpec {
    namespace?: string;
    package: string;
    versions: string[];
}
declare enum PackageVersionErrorCodeEnum {
    'ALREADY_EXISTS' = "ALREADY_EXISTS",
    'MISMATCHED_REVISION' = "MISMATCHED_REVISION",
    'MISMATCHED_STATUS' = "MISMATCHED_STATUS",
    'NOT_ALLOWED' = "NOT_ALLOWED",
    'NOT_FOUND' = "NOT_FOUND",
    'SKIPPED' = "SKIPPED"
}
type PackageVersionErrorCode = (typeof PackageVersionErrorCodeEnum)[keyof typeof PackageVersionErrorCodeEnum];
declare enum PackageVersionStatusEnum {
    'ARCHIVED' = "Archived",
    'DELETED' = "Deleted",
    'DISPOSED' = "Disposed",
    'PUBLISHED' = "Published",
    'UNFINISHED' = "Unfinished",
    'UNLISTED' = "Unlisted"
}
export type PackageVersionStatus = (typeof PackageVersionStatusEnum)[keyof typeof PackageVersionStatusEnum];
export interface SuccessfulPackageVersionInfo {
    revision?: string;
    status?: PackageVersionStatus;
}
export interface PackageVersionError {
    errorCode?: PackageVersionErrorCode;
    errorMessage?: string;
}
export interface CodeArtifactUnpublishResponse {
    successfulVersions?: Record<string, SuccessfulPackageVersionInfo>;
    failedVersions?: Record<string, PackageVersionError>;
}
export {};
