/// <reference types="node" />
import type { NpmVersion } from '@ewizardjs/system-settings';
import type { ForkOptions } from 'node:child_process';
export interface NpmOptions extends Partial<NpmRegistryConfig> {
    cwd: string;
    silent?: boolean;
    npmVersion?: NpmVersion;
    distTag?: string;
}
export interface NpmRegistryConfig {
    registry: string;
    token: string;
    packageNamePatterns?: string[];
}
export interface ForkArguments {
    cmd: string;
    args: string[];
    npmVersion?: NpmVersion;
    options: ForkOptions;
}
export type NpmPaths = Record<NpmVersion, string>;
