import { StructureApi } from '@ewizardjs/structure-api';
import type { iStructureJSON, StructureV1, StructureV2 } from '@ewizardjs/structure-api';
export default class Structure {
    private baseDirectory;
    private pathToStructure;
    private structure;
    constructor(baseDirectory: string);
    getSlide(slideId: string): Promise<StructureV1.iSlides | StructureV2.iSlides>;
    getSlideData(slideId: string): Promise<StructureApi.FlatSlideData>;
    addSlidesToStructure(slides: string[], chapterId?: string): Promise<void>;
    addSlidesToChapter(slides: string[], chapterId: string): Promise<void>;
    addSubslides(subslides: string[], slideId: string): Promise<void>;
    createChapter(chapterId: string, slides?: string[]): Promise<void>;
    deleteSlides(removeSlides: string[]): Promise<void>;
    save(pathToStructure?: string, structure?: iStructureJSON): Promise<void>;
    isChapterExists(chapterId: string): Promise<any>;
    isSlideExists(slideId: string): Promise<boolean>;
    private slideExists;
    private chapterExists;
    private getStructure;
    private generateSlideTemplate;
    private generateChapterTemplate;
    private updateStructure;
    convertToStructureV2(): Promise<iStructureJSON>;
}
