"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNpmVersion = void 0;
const system_settings_1 = require("@ewizardjs/system-settings");
const utils_1 = require("../utils");
function getNpmVersion(cwd, args = []) {
    return __awaiter(this, void 0, void 0, function* () {
        const systemSettingsNpmVersion = yield getNpmVersionFromSystemSettings(cwd);
        if (systemSettingsNpmVersion) {
            return systemSettingsNpmVersion;
        }
        return (yield (0, utils_1.hasGitDependencies)(cwd, args))
            ? system_settings_1.NpmVersion.Legacy
            : system_settings_1.NpmVersion.Latest;
    });
}
exports.getNpmVersion = getNpmVersion;
function getNpmVersionFromSystemSettings(cwd) {
    return __awaiter(this, void 0, void 0, function* () {
        const npm = yield (0, system_settings_1.getByPath)(cwd, 'cli.npm');
        return npm && Object.values(system_settings_1.NpmVersion).includes(npm)
            ? npm
            : undefined;
    });
}
//# sourceMappingURL=getNpmVersion.js.map