"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIconLocation = void 0;
const node_path_1 = require("node:path");
function getIconPath({ block: { iconsPath, id }, blocksPath }) {
    return iconsPath ? iconsPath : (0, node_path_1.join)(blocksPath, id);
}
function getIconLocation(presentationPath, options) {
    const { block, blocksPath, iconThemePartName, iconClmPartName } = options;
    const destIconPath = getIconPath({ block, blocksPath });
    const iconName = `icon${iconThemePartName}${iconClmPartName}.png`;
    return (0, node_path_1.join)(presentationPath, destIconPath, iconName);
}
exports.getIconLocation = getIconLocation;
//# sourceMappingURL=pathUtils.js.map